%define	name	kipi-plugins
%define	version	0.1.0
%define	pre_ver	beta2
## Distribution Specific Release Tag
%{?!mkrel: %define mkrel(c:) %{-c:0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*)(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}
%define	release	0.%{pre_ver}.%mkrel 3
%define	Summary	KDE image Interface Plugins 

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group: 		System/Libraries
Source0:	%{name}-%{version}-%{pre_ver}.tar.bz2

URL: 		http://extragear.kde.org/apps/kipi.php
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libkipi-devel libkexif-devel gphoto2 imlib2 >= 1.1.0 libexif >= 0.5.7
BuildRequires:	ImageMagick >= 5.5.4 mjpegtools >= 1.6.0 tiff-devel
BuildRequires:	libgphoto-devel imlib2-devel libMesaGLU-devel libxml2-utils
Conflicts:	digikam-plugins
Epoch:		1

%description
 The library of the KDE Image Plugin Interface.  

 Libkipi allows image applications to use a plugin architecture 
 for additional functionality  such as: RawConverter, SlideShow, 
 MpegEncoder, ImagesGallery, PrintWizard, CdArchiving...

%prep
%setup -q -n %{name}-%{version}-%{pre_ver}

%build
%if "%{_lib}" != "lib"
kdelibsuffix="--enable-libsuffix=%(A=%{_lib}; echo ${A/lib/})"
%endif
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --disable-rpath \
            --prefix=%_prefix \
            --libdir=%_libdir $kdelibsuffix \
            --mandir=%_mandir \
            --datadir=%_datadir \
            --disable-debug
%make

%install
rm -rf %buildroot
%makeinstall

%find_lang %name --all-name

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%_bindir/images2mpg
%_bindir/kipidcrawclient
%{_libdir}/kde3/kipiplugin_*
%{_datadir}/doc/HTML/*

%dir %{_datadir}/apps/

%dir %_datadir/apps/kipiplugin_batchprocessimages/
%dir %_datadir/apps/kipiplugin_batchprocessimages/data/
%_datadir/apps/kipiplugin_batchprocessimages/data/*.png

%dir %_datadir/apps/kipiplugin_batchprocessimages/icons/
%dir %_datadir/apps/kipiplugin_batchprocessimages/icons/hicolor/
%dir %_datadir/apps/kipiplugin_batchprocessimages/icons/hicolor/32x32/
%dir %_datadir/apps/kipiplugin_batchprocessimages/icons/hicolor/32x32/actions/
%_datadir/apps/kipiplugin_batchprocessimages/icons/hicolor/32x32/actions/*.png


%dir %_datadir/apps/kipiplugin_findimages/
%dir %_datadir/apps/kipiplugin_findimages/icons/
%dir %_datadir/apps/kipiplugin_findimages/icons/hicolor/
%dir %_datadir/apps/kipiplugin_findimages/icons/hicolor/32x32/
%dir %_datadir/apps/kipiplugin_findimages/icons/hicolor/32x32/actions/
%_datadir/apps/kipiplugin_findimages/icons/hicolor/32x32/actions/*.png

%dir %_datadir/apps/kipiplugin_jpeglossless/
%dir %_datadir/apps/kipiplugin_jpeglossless/icons/
%dir %_datadir/apps/kipiplugin_jpeglossless/icons/hicolor/
%dir %_datadir/apps/kipiplugin_jpeglossless/icons/hicolor/32x32/
%dir %_datadir/apps/kipiplugin_jpeglossless/icons/hicolor/32x32/actions/
%_datadir/apps/kipiplugin_jpeglossless/icons/hicolor/32x32/actions/*.png


%dir %_datadir/apps/kipiplugin_rawconverter/
%dir %_datadir/apps/kipiplugin_rawconverter/icons/
%dir %_datadir/apps/kipiplugin_rawconverter/icons/hicolor/
%dir %_datadir/apps/kipiplugin_rawconverter/icons/hicolor/32x32/
%dir %_datadir/apps/kipiplugin_rawconverter/icons/hicolor/32x32/actions/

%_datadir/apps/kipiplugin_rawconverter/icons/hicolor/32x32/actions/*.png

%_datadir/apps/kipiplugin_slideshow/icons/hicolor/22x22/actions/slideshow.png

%dir %{_datadir}/apps/kipi/
%{_datadir}/apps/kipi/*


%{_datadir}/services/kipiplugin_*
%_mandir/man1/images2mpg.1.bz2
%_mandir/man1/kipidcrawclient.1.bz2

%changelog
* Wed Mar  9 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1-0.beta2.3mdk
- fix build on lib64 platforms

* Mon Feb 14 2005 Angelo Naselli <anaselli@mandrake.org> 0.1-0.beta2.2mdk
- DistroSpecificReleaseTag support

* Tue Feb 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta2.1mdk
- beta2

* Sun Dec 26 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1-0.beta1.5mdk
- add BuildRequires: libgphoto-devel imlib2-devel libMesaGLU-devel libxml2-utils

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1-0.beta1.4mdk
- fix buildrequires

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta1.3mdk
- Rebuild with libkexif

* Fri Dec 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta1.2mdk
- Fix spec file

* Sat Oct 16 2004 Angelo Naselli <anaselli@mandrake.org> 0.1-0.beta1.1mdk
- new version

* Mon Sep 20 2004 Angelo Naselli <anaselli@mandrake.org> 20040919-1mdk
- new version (gwenview snapshot)

* Wed Sep 08 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-3mdk
- changed the URL with the official one

* Tue Aug 24 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-2mdk
- changed description

* Tue Aug 24 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-1mdk
- built mdk version

* Sat Jun 12 2004 Angelo Naselli <random_lx@yahoo.com> 20040611-1mdk
- built mdk version

* Mon May 10 2004 Angelo Naselli <random_lx@yahoo.com> 20040509-1mdk
- built mdk version
